<?php
/**
 * 2007-2018 PrestaShop
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Open Software License (OSL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/osl-3.0.php
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to http://www.prestashop.com for more information.
 *
 * @author PrestaShop SA <contact@prestashop.com>
 * @copyright  2007-2018 PrestaShop SA
 * @license    http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 *  International Registered Trademark & Property of PrestaShop SA
 */

class ApiError extends ObjectModel
{
    /**
     * @see ObjectModel::$definition
     */
    public static $definition = array(
        'table' => 'kiwiz_api_error',
        'primary' => 'id_kiwiz_api_error',
        'multilang' => false,
        'fields' => array(
            'id_order_file' => array('type' => self::TYPE_INT, 'validate' => 'isUnsignedId'),
            'file_type' => array('type' => self::TYPE_STRING),
            'code_error' => array('type' => self::TYPE_INT),
            'message' => array('type' => self::TYPE_STRING)
        )
    );

    /**
     * @var
     */
    public $id_kiwiz_api_error;
    /**
     * @var
     */
    public $id_order_file;
    /**
     * @var
     */
    public $file_type;
    /**
     * @var
     */
    public $code_error;
    /**
     * @var
     */
    public $message;

    /**
     * FileData constructor.
     * @param integer $id
     * @param integer $id_lang
     */

    public function __construct($id = null, $id_lang = null)
    {
        parent::__construct($id, $id_lang);
    }


    /**
     * @return mixed
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * @param mixed $id
     */
    public function setId($id)
    {
        $this->id = $id;
    }

    /**
     * @return mixed
     */
    public function getIdOrderFile()
    {
        return $this->id_order_file;
    }

    /**
     * @param mixed $idOrderFile
     */
    public function setIdOrderFile($idOrderFile)
    {
        $this->id_order_file = $idOrderFile;
    }

    /**
     * @return mixed
     */
    public function getFileType()
    {
        return $this->file_type;
    }

    /**
     * @param mixed $file_type
     */
    public function setFileType($file_type)
    {
        $this->file_type = $file_type;
    }

    /**
     * @return mixed
     */
    public function getCodeError()
    {
        return $this->code_error;
    }

    /**
     * @param mixed $code_error
     */
    public function setCodeError($code_error)
    {
        $this->code_error = $code_error;
    }

    /**
     * @return mixed
     */
    public function getMessage()
    {
        return $this->message;
    }

    /**
     * @param mixed $message
     */
    public function setMessage($message)
    {
        $this->message = $message;
    }
}
