<?php
/**
* 2007-2018 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Open Software License (OSL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/osl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
*  @author PrestaShop SA <contact@prestashop.com>
*  @copyright  2007-2018 PrestaShop SA
*  @license    http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
*  International Registered Trademark & Property of PrestaShop SA
*/

class OrderSlipController extends OrderSlipControllerCore
{
    /**
     * Assign template vars related to page content
     * @see FrontController::initContent()
     */
    public function initContent()
    {
        parent::initContent();

        if ($orderSlips = OrderSlip::getOrdersSlip((int)$this->context->cookie->id_customer)) {
            foreach ($orderSlips as &$orderSlip) {
                $slip = new OrderSlip($orderSlip['id_order_slip']);
                $orderSlip['fileData'] = $slip->getKiwizData();
            }
        }

        $this->context->smarty->assign('ordersSlip', $orderSlips);
        $this->context->smarty->assign('customerId', $this->context->customer->id);

        $this->setTemplate(_PS_MODULE_DIR_ . '/kiwizinvoicehandler/views/templates/front/order-slip.tpl');
    }
}
